<?php
$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("rig" . "hts" => base64_decode("cmlna" . "HRz"), "_4be538b" . "2f65f8d8" . "f8dde8a9" . "14f61007" . "6" => base64_decode("Vm" . "ll" . "dw" . "=="), "_6f65d5feee27b320b6" . "f7785c82762a72" => base64_decode("dXNlcnNfbGlzdC52aX" . "NpYmxl"), "_923b46b96d9db24c4faa35027fc77b" . "71" => base64_decode("Q29udHJvbCBjYW4ndCBpbn" . "B1dCB0aGUgZGF0YQ=="));





class FFControlUsersList extends FFControlAbstract
{
    var $perms;
    var $perms_dialog;
    
    
    
    
    
    
    
    public function __construct($key, $title)
    {
        parent::__construct($key, $title);
        $this->data[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["right" . "s"]] = array();
    }
    
    
    
    
    
    public function LoadFromForm()
    {
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_4be538b2f65f8d8f8dde8a914f" . "610076"], 1)));
        $this->perms->Load();
        if (!$this->perms_dialog or !$this->perms_dialog->Update()) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_923b46b96d9db24c4faa" . "35027fc77b71"]);
        }
        $this->data[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["ri" . "gh" . "ts"]] = $this->perms->rights;
        
        
        
        return true;
    }
    public function Draw()
    {
        $_1a7eeedc1ca1289115e80107e7e6a911[$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_6f65d5feee27b320b6" . "f7785c82762a72"]] = 1;
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_4be538b2f" . "65f8d8f8dd" . "e8a914f610" . "076"], 1)));
        $this->perms->Load();
        $this->perms->rights = $this->data[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["righ" . "ts"]];
        $this->perms_dialog->Show();
        return $_1a7eeedc1ca1289115e80107e7e6a911;
    }
}